POST api/NTDisposition/PostFacilityDoctor

Request Information

URI Parameters

None.

Body Parameters

FacilityDoctorDTO
NameDescriptionTypeAdditional information
FacilityDoctorId

integer

None.

Salutation

string

String length: inclusive between 0 and 10

FirstName

string

String length: inclusive between 0 and 30

LastName

string

String length: inclusive between 0 and 30

FacilityCode

string

String length: inclusive between 0 and 10

Notes

string

String length: inclusive between 0 and 200

DoctorName

string

String length: inclusive between 0 and 50

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "FacilityDoctorId": 1,
  "Salutation": "sample string 2",
  "FirstName": "sample string 3",
  "LastName": "sample string 4",
  "FacilityCode": "sample string 5",
  "Notes": "sample string 6",
  "DoctorName": "sample string 7",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:26:37.931372-07:00",
  "DateUpdated": "2026-08-04T14:26:37.931372-07:00",
  "UserIDCreated": 11,
  "UserIDUpdated": 12,
  "CompanyCode": "sample string 13",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfFacilityDoctorDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

FacilityDoctorDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "FacilityDoctorId": 1,
    "Salutation": "sample string 2",
    "FirstName": "sample string 3",
    "LastName": "sample string 4",
    "FacilityCode": "sample string 5",
    "Notes": "sample string 6",
    "DoctorName": "sample string 7",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:26:37.931372-07:00",
    "DateUpdated": "2026-08-04T14:26:37.931372-07:00",
    "UserIDCreated": 11,
    "UserIDUpdated": 12,
    "CompanyCode": "sample string 13",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}